Bug 1463388 - Subnet Network prefix field description "Suffix or prefix length for this subnet, e.g. 32" is confusing
Subnet Network prefix field description "Suffix or prefix length for this sub...
Status: POST
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Networking (Show other bugs)
6.3.0
Unspecified Unspecified
low Severity low (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Katello QA List
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 14:13 EDT by Perry Gagne
Modified: 2017-12-18 01:15 EST (History)
3 users (show)

See Also:
Fixed In Version: foreman-1.16.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached screen capture (116.15 KB, image/png)
2017-06-20 14:13 EDT, Perry Gagne
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20521 None None None 2017-08-08 07:04 EDT

  None (edit)
Description Perry Gagne 2017-06-20 14:13:37 EDT
Created attachment 1289780 [details]
Attached screen capture

Description of problem:
There is a network prefix field which is to input the IP network prefix (ie the short form of the subnet mask /24 instead of 255.255.255.0). 

The description of this field is "Suffix or prefix length for this subnet, e.g. 32" 

Using the term suffix here is incorrect, since it's talking about the network portion of the address. 

Seen on IPv4 and IPv6 pages.

Also, while 32 is probably a bad example, since it is not (or rarely) used as a subnet prefix. 24 is a better example for IPv4 and 64 for IPv6. 


Version-Release number of selected component (if applicable): 6.2 (IPv4) and 6.3 (IPv4/IPv6)



Suggested 
Should probably be:
IPv4 "Prefix length for this subnet, e.g. 24"
IPv6 "Prefix length for this subnet, e.g. 64
Comment 4 pm-sat@redhat.com 2017-08-11 06:09:04 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20521 has been resolved.

Note You need to log in before you can comment on or make changes to this bug.